import { MatSnackBarRef } from '@angular/material/snack-bar';
import { NotificationDataInterface } from '../interfaces/ih-ng-notification.interface';
import * as i0 from "@angular/core";
export declare class IHNotificationComponent {
    private snackBarRef;
    notificationData: NotificationDataInterface;
    /**
     * Creates an instance of IHNotificationComponent.
     * @author IDNAN.HAIDER
     * @param snackBarRef
     * @param notificationData
     */
    constructor(snackBarRef: MatSnackBarRef<IHNotificationComponent>, notificationData: NotificationDataInterface);
    /**
     * This method is to close or invoke call back
     *
     */
    customAction(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IHNotificationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IHNotificationComponent, "ih-ng-notification", never, {}, {}, never, never, false>;
}
